Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002594 [JEDI VCL] 00 JVCL Components minor always 2005-02-02 23:36 2006-04-05 01:21
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002594: Unable to multiselect with Shift in TJvTreeview
Description The treeview does not handle the SelectionStyle options. It only uses CTRL selection.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006351)
obones (administrator)
2005-02-03 00:46

Please provide an example (zip file) project
(0006358)
anonymous (viewer)
2005-02-03 03:08

you can reproduce yourself, I think. You can just drop a treeview on the form, add a few items and try to select a few items with the shift. Setting the SelectionStyle options doesn't have any effect.
(0006361)
obones (administrator)
2005-02-03 05:48

It seems the inherited behaviour from TTreeView is not carried over. Not sure how to fix this just yet.
(0007732)
obones (administrator)
2005-08-09 07:13

This is still here in the latest CVS.
(0008808)
obones (administrator)
2006-03-31 07:49

A fix is ready to be committed as soon as CVS is back online
(0008937)
obones (administrator)
2006-04-05 01:21

This is now in CVS

- Issue History
Date Modified Username Field Change
2005-02-02 23:36 anonymous New Issue
2005-02-03 00:46 obones Note Added: 0006351
2005-02-03 00:46 obones Status new => feedback
2005-02-03 03:08 anonymous Note Added: 0006358
2005-02-03 05:48 obones Note Added: 0006361
2005-02-03 05:48 obones Summary JVCL Version RC1 - Error in Treeview => Unable to multiselect with Shift in TJvTreeview
2005-08-09 07:13 obones Note Added: 0007732
2005-08-09 07:13 obones Status feedback => confirmed
2006-03-31 07:49 obones Note Added: 0008808
2006-04-05 01:21 obones Status confirmed => resolved
2006-04-05 01:21 obones Resolution open => fixed
2006-04-05 01:21 obones Assigned To => obones
2006-04-05 01:21 obones Note Added: 0008937


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker